Name:                httpcomponents-asyncclient
Version:             4.1.5
Release:             1
Summary:             Apache components to build asynchronous client side HTTP services
License:             ASL 2.0
URL:                 http://hc.apache.org/
Source0:             http://archive.apache.org/dist/httpcomponents/httpasyncclient/source/%{name}-%{version}-src.tar.gz
BuildRequires:       maven-local mvn(commons-io:commons-io) mvn(commons-logging:commons-logging)
BuildRequires:       mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.httpcomponents:httpclient-cache)
BuildRequires:       mvn(org.apache.httpcomponents:httpclient)
BuildRequires:       mvn(org.apache.httpcomponents:httpcore)
BuildRequires:       mvn(org.apache.httpcomponents:httpcore-nio)
BuildRequires:       mvn(org.apache.httpcomponents:project:pom:)
BuildRequires:       mvn(org.codehaus.mojo:build-helper-maven-plugin) mvn(org.mockito:mockito-core)
BuildArch:           noarch
%description
Asynch HttpClient is a HTTP/1.1 compliant HTTP agent implementation based on
HttpCore NIO and HttpClient components. It is a complementary module to
Apache HttpClient intended for special cases where ability to handle
a great number of concurrent connections is more important than performance
in terms of a raw data throughput.

%package cache
Summary:             Apache HttpAsyncClient Cache
%description cache
This package provides client side caching for %{name}.

%package parent
Summary:             Apache HttpAsyncClient Parent POM
%description parent
Apache HttpAsyncClient Parent POM.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c -n %{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete
%pom_remove_plugin :maven-jar-plugin
%pom_remove_plugin :maven-jar-plugin ./httpasyncclient-cache
%pom_remove_plugin :maven-jar-plugin ./httpasyncclient
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :clirr-maven-plugin
%pom_disable_module httpasyncclient-osgi
%pom_remove_plugin -r :apache-rat-plugin
%pom_xpath_remove "pom:dependency[pom:type = 'test-jar']" httpasyncclient-cache
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" httpasyncclient-cache
rm -r httpasyncclient-cache/src/test/java
rm -f httpasyncclient/src/test/java/org/apache/http/impl/nio/conn/TestPoolingHttpClientAsyncConnectionManager.java
rm -f httpasyncclient/src/test/java/org/apache/http/nio/client/integration/TestHttpAsyncPrematureTermination.java
for p in httpasyncclient httpasyncclient-cache; do
 %pom_xpath_set "pom:project/pom:packaging" bundle ${p}
 %pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 ${p} "
 <extensions>true</extensions>
 <configuration>
  <instructions>
    <Export-Package>*</Export-Package>
  </instructions>
  <excludeDependencies>true</excludeDependencies>
 </configuration>"
done
%mvn_file org.apache.httpcomponents:httpasyncclient httpasyncclient
%mvn_file org.apache.httpcomponents:httpasyncclient-cache httpasyncclient-cache

%build
%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-httpasyncclient
%doc README.txt RELEASE_NOTES.txt
%license LICENSE.txt NOTICE.txt

%files cache -f .mfiles-httpasyncclient-cache
%license LICENSE.txt NOTICE.txt

%files parent -f .mfiles-%{name}
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri May 27 2022 xu_ping <xuping33@h-partners.com> - 4.1.5-1
- Upgrade 4.1.5

* Fri Aug 21 2020 maminjie <maminjie1@huawei.com> - 4.1.2-1
- package init
